org.apache.fop.util.text

## Interface AdvancedMessageFormat.Function

- All Known Implementing Classes:
    FONode.GatherContextInfoFunction
  Enclosing class:
    AdvancedMessageFormat

      public static interface AdvancedMessageFormat.Function

  Implementations of this interface do some computation based on the message parameters given to it. Note: at the moment, this has to be done in a local-independent way since there is no locale information.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `evaluate(java.util.Map<java.lang.String,java.lang.Object> params)` Executes the function.
    `java.lang.Object` | `getName()` Returns the name of the function.

- - ### Method Detail

    - #### evaluate

          java.lang.Object evaluate(java.util.Map<java.lang.String,java.lang.Object> params)

      Executes the function.
      Parameters:
        `params` - the message parameters
      Returns:
        the function result

    - #### getName

          java.lang.Object getName()

      Returns the name of the function.
      Returns:
        the name of the function

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.